/* https://hodgden.net/ */

:root {
    --foreground-accent-color: black;

    --operator-color: black;
    --keyword-color: black;
    --name-color: black;
    --literal-color: black;
    --error-color: black;
    --comment-color: black;
}

/* Background */
.bg { }

/* PreWrapper */
.chroma {
    /* other */ .x { color:var(--foreground-accent-color); }
    /* error */ .err { color:var(--error-color); }
    /* CodeLine */ .cl { color:var(--foreground-accent-color); }
    /* Operator */ .o { color:var(--operator-color) }
    /* OperatorWord */ .ow { color:var(--operator-color);font-weight:bold }
    /* Punctuation */ .p { color:var(--operator-color); }
    /* TextWhitespace */ .w {  }
    /* Generic */ .g { color:var(--foreground-accent-color); }
    /* GenericDeleted */ .gd { color:var(--error-color); }
    /* GenericEmph */ .ge { font-style:italic }
    /* GenericError */ .gr { color:var(--error-color); }
    /* GenericHeading */ .gh { color:var(--foreground-accent-color);font-weight:bold }
    /* GenericInserted */ .gi { color:var(--foreground-accent-color); }
    /* GenericOutput */ .go { color:var(--foreground-accent-color); }
    /* GenericPrompt */ .gp { color:var(--foreground-accent-color);font-weight:bold }
    /* GenericStrong */ .gs { font-weight:bold }
    /* GenericSubheading */ .gu { color:var(--foreground-accent-color);font-weight:bold }
    /* GenericTraceback */ .gt { color:var(--foreground-accent-color); }
    /* GenericUnderline */ .gl { text-decoration:underline }
    /* Keyword */ .k { color:var(--keyword-color);font-weight:bold }
    /* KeywordConstant */ .kc { color:var(--keyword-color);font-weight:bold }
    /* KeywordDeclaration */ .kd { color:var(--keyword-color);font-weight:bold }
    /* KeywordNamespace */ .kn { color:var(--keyword-color);font-weight:bold }
    /* KeywordPseudo */ .kp { color:var(--keyword-color) }
    /* KeywordReserved */ .kr { color:var(--keyword-color);font-weight:bold }
    /* KeywordType */ .kt { color:var(--keyword-color) }
    /* Name */ .n { color:var(--name-color) }
    /* NameAttribute */ .na { color:var(--name-color) }
    /* NameBuiltin */ .nb { color:var(--name-color) }
    /* NameBuiltinPseudo */ .bp { color:var(--name-color) }
    /* NameClass */ .nc { color:var(--name-color);font-weight:bold }
    /* NameConstant */ .no { color:var(--name-color) }
    /* NameDecorator */ .nd { color:var(--name-color);font-weight:bold }
    /* NameEntity */ .ni { color:var(--name-color);font-weight:bold }
    /* NameException */ .ne { color:var(--name-color) }
    /* NameFunction */ .nf { color:var(--name-color) }
    /* NameFunctionMagic */ .fm { color:var(--name-color) }
    /* NameLabel */ .nl { color:var(--name-color);font-weight:bold }
    /* NameNamespace */ .nn { color:var(--name-color);font-weight:bold }
    /* NameOther */ .nx { color:var(--name-color) }
    /* NameProperty */ .py { color:var(--name-color) }
    /* NameTag */ .nt { color:var(--name-color);font-weight:bold }
    /* NameVariable */ .nv { color:var(--name-color) }
    /* NameVariableClass */ .vc { color:var(--name-color) }
    /* NameVariableGlobal */ .vg { color:var(--name-color) }
    /* NameVariableInstance */ .vi { color:var(--name-color) }
    /* NameVariableMagic */ .vm { color:var(--name-color) }
    /* Literal */ .l { color:var(--literal-color) }
    /* LiteralDate */ .ld { color:var(--literal-color) }
    /* LiteralString */ .s { color:var(--literal-color) }
    /* LiteralStringAffix */ .sa { color:var(--literal-color) }
    /* LiteralStringBacktick */ .sb { color:var(--literal-color) }
    /* LiteralStringChar */ .sc { color:var(--literal-color) }
    /* LiteralStringDelimiter */ .dl { color:var(--literal-color) }
    /* LiteralStringDoc */ .sd { color:var(--literal-color);font-style:italic }
    /* LiteralStringDouble */ .s2 { color:var(--literal-color) }
    /* LiteralStringEscape */ .se { color:var(--literal-color);font-weight:bold }
    /* LiteralStringHeredoc */ .sh { color:var(--literal-color) }
    /* LiteralStringInterpol */ .si { color:var(--literal-color) }
    /* LiteralStringOther */ .sx { color:var(--literal-color) }
    /* LiteralStringRegex */ .sr { color:var(--literal-color) }
    /* LiteralStringSingle */ .s1 { color:var(--literal-color) }
    /* LiteralStringSymbol */ .ss { color:var(--literal-color) }
    /* LiteralNumber */ .m { color:var(--literal-color) }
    /* LiteralNumberBin */ .mb { color:var(--literal-color) }
    /* LiteralNumberFloat */ .mf { color:var(--literal-color) }
    /* LiteralNumberHex */ .mh { color:var(--literal-color) }
    /* LiteralNumberInteger */ .mi { color:var(--literal-color) }
    /* LiteralNumberIntegerLong */ .il { color:var(--literal-color) }
    /* LiteralNumberOct */ .mo { color:var(--literal-color) }
    /* Comment */ .c { color:var(--comment-color);font-style:italic }
    /* CommentHashbang */ .ch { color:var(--comment-color);font-style:italic }
    /* CommentMultiline */ .cm { color:var(--comment-color);font-style:italic }
    /* CommentSingle */ .c1 { color:var(--comment-color);font-style:italic }
    /* CommentSpecial */ .cs { color:var(--comment-color) }
    /* CommentPreproc */ .cp { color:var(--comment-color) }
    /* CommentPreprocFile */ .cpf { color:var(--comment-color) }

    /* Line indicators are a whole different animal as they include structural-layout formatting */
    /* LineLink */ .lnlinks { outline:none;text-decoration:none;color:inherit }
    /* LineTableTD */ .lntd { vertical-align:top;padding:0;margin:0;border:0; }
    /* LineTable */ .lntable { border-spacing:0;padding:0;margin:0;border:0; }
    /* LineHighlight */ .hl { background-color:#d8d8d8 }
    /* LineNumbersTable */ .lnt { white-space:pre;-webkit-user-select:none;user-select:none;margin-right:0.4em;padding:0 0.4em 0 0.4em;color:#7f7f7f }
    /* LineNumbers */ .ln { white-space:pre;-webkit-user-select:none;user-select:none;margin-right:0.4em;padding:0 0.4em 0 0.4em;color:#7f7f7f }
    /* Line */ .line { display:flex; }
}



